RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.MatchGroupService Class Reference

## Public Member Functions
List< MatchGroup > | getAll ()
List< MatchGroup > | getByCID (Long creatorID)
MatchGroup | getByID (Long id) throws Exception
void | create (MatchGroupObj groupObj) throws Exception
void | remove (Long id) throws Exception
void | removeAll (Long creatorid) throws Exception

## Detailed Description

Zajistuje spravu zapasovych skupin

## Member Function Documentation

## ◆ create()

void com.robogames.RoboCupMS.Business.Service.MatchGroupService.create | ( | MatchGroupObj | groupObj | ) | throws Exception
| inline

Vytvori novou zapasovou skupinu

Parameters

  groupObj | Parametry nove zapasove skupiny

Returns
  Informace o stavu provedeneho requestu

## ◆ getAll()

List<MatchGroup> com.robogames.RoboCupMS.Business.Service.MatchGroupService.getAll | ( |  | ) |
| inline

Navrati vsechny zapasove skupiny

Returns
  Seznam vsech skupin

## ◆ getByCID()

List<MatchGroup> com.robogames.RoboCupMS.Business.Service.MatchGroupService.getByCID | ( | Long | creatorID | ) |
| inline

Navrti vsechny zapasove skupiny pro specifikovany identifikator tvurce skupiny

Parameters

  creatorID | Identifikator tvurce skupiny

Returns
  Seznam vsech skupin

## ◆ getByID()

MatchGroup com.robogames.RoboCupMS.Business.Service.MatchGroupService.getByID | ( | Long | id | ) | throws Exception
| inline

Navrati skupinu s konkretnim ID

Parameters

  id | ID skupiny

Returns
  Zapasova skupina

## ◆ remove()

void com.robogames.RoboCupMS.Business.Service.MatchGroupService.remove | ( | Long | id | ) | throws Exception
| inline

Odstrani skupinu

Parameters

  id | ID skupiny

Returns
  Informace o stavu provedeneho requestu

## ◆ removeAll()

void com.robogames.RoboCupMS.Business.Service.MatchGroupService.removeAll | ( | Long | creatorid | ) | throws Exception
| inline

Odstrani vsechny skupiny s odpovidajicim ID tvurce skupiny

Parameters

  creatorid | Identifikator tvurce skupiny

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/MatchGroupService.java